package com.inspect.ivs.base.feign.domain;

import java.io.Serializable;

public class IvsResult implements Serializable {
   private static final long serialVersionUID = -3783773379518253182L;
   private String resultCode;

   public String getResultCode() {
      return this.resultCode;
   }

   public void setResultCode(final String resultCode) {
      this.resultCode = resultCode;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof IvsResult)) {
         return false;
      } else {
         IvsResult other = (IvsResult)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$resultCode = this.getResultCode();
            Object other$resultCode = other.getResultCode();
            if (this$resultCode == null) {
               if (other$resultCode != null) {
                  return false;
               }
            } else if (!this$resultCode.equals(other$resultCode)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof IvsResult;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      Object $resultCode = this.getResultCode();
      result = result * 59 + ($resultCode == null ? 43 : $resultCode.hashCode());
      return result;
   }

   public String toString() {
      return "IvsResult(resultCode=" + this.getResultCode() + ")";
   }
}
